The ubuntuone-client needs to create a POT template on build

Bug #455527 reported by David Planella on 2009-10-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Medium
dobey
Ubuntu Translations
Medium
David Planella
ubuntuone-client (Ubuntu)
Medium
dobey
Karmic
Undecided
Unassigned

Bug Description

Currently the ubuntuone-client package does not generate a POT template during the build process, which prevents new translations (and string changes) to be imported into Launchpad.

The package seemed to be generating templates at some point, at least until the latest template import into Launchpad:

2009-10-04 01:56:59.200198+00:00

For more information, please see:

https://wiki.ubuntu.com/UbuntuDevelopment/Internationalisation#Translation%20templates
https://wiki.ubuntu.com/UbuntuDevelopment/Internationalisation#Verifying%20translation%20uploads

Related branches

Joshua Hoover (joshuahoover) wrote :

Thank you for the bug report David. I'm assigning to one of our developers so they can address this. Thank you, Joshua

Changed in ubuntuone-client:
status: New → Triaged
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Medium
dobey (dobey) wrote :

Here is the updated POT file. Sorry for the bug. I should have guessed it would happen when I fixed the menus bug. Thanks.

Changed in ubuntuone-client:
status: Triaged → In Progress
David Planella (dpm) wrote :

I was about to import the new template, but I've noticed that the strings referred to in bug 449269 are not in the template.

It seems that these strings are not extracted from bin/ubuntuone-client-applet:

                        P_("Ubuntu One finished updating %(total)d file.",
                           "Ubuntu One finished updating %(total)d files.",
                           self.__total) % { 'total' : self.__total })

David Planella (dpm) wrote :

The problems seems to be here:

P_ = gettext.ngettext

Either intltool or xgettext does not recognise P_ for extraction, although using:

ngettext = gettext.ngettext
ngettext("Ubuntu One finished updating %(total)d ...

or directly using gettext.ngettext("Ubuntu One finished updating %(total)d ... both seem to work (i.e. strings are extracted and put into the template).

David Planella (dpm) wrote :

As spoken with Rodney, I've filed a separate bug (bug 456578) for ngettext-marked strings not being picked up on extraction. I will not upload the template manually, but rather wait for this to be fixed properly in the package, which most probably happen after release (i.e. for Lucid).

Changed in ubuntu-translations:
assignee: nobody → David Planella (dpm)
status: New → Triaged
importance: Undecided → Medium
dobey (dobey) on 2009-10-21
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Changed in ubuntuone-client (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Rodney Dawes (dobey)
dobey (dobey) on 2009-11-30
Changed in ubuntuone-client (Ubuntu):
status: Triaged → In Progress
dobey (dobey) on 2009-12-10
tags: added: ubuntuone-sru

Accepted ubuntuone-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntuone-client (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Rick McBride (rmcbride) wrote :

did 'apt-get source ubuntuone-client' from -proposed

in the source folder

'./configure'

noted that the po/POTFILES rules and contents are acted on

'make dist'

noted that the tarball created includes the requisite files.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.0.3-0ubuntu1

---------------
ubuntuone-client (1.0.3-0ubuntu1) karmic-proposed; urgency=high

  * New upstream release
    - Remove patch files now in upstream for #462828
    - Require python-ubuntuone-storageprotocol >= 1.0.1
    - BadTransition: SYS_CONNECTION_MADE (LP: #457147)
    - ValueError: invalid literal for int() with base 10: 'None' (LP: #476777)
    - Protocol version error with bw throttling enabled (LP: #455544)
    - Folder deletion from other machines results in conflicts (LP: #462003)
    - Syncdaemon doesn't disable throttling (LP: #483592)
    - Syncdaemon crashes with NoAccessToken (LP: #488413)
    - Error creating share from Nautilus: callback() (LP: #492100)
    - Work without NetworkManager installed (LP: #357395)
    - Create a POT during the build (LP: #455527)
    - Bring back timestamps in oauth-login.log (LP: #459175)
    - Applet starts syncdaemon without a token (LP: #491573)
    - Prefs changes don't take immediate affect (LP: #457564)
    - BW limit settings don't appear to be saved (LP: #465030)
    - Distinguish auth errors from other errors (LP: #450633)
    - Fix for running on python < 2.6.3 (LP: #451670)
 -- Rodney Dawes <email address hidden> Fri, 11 Dec 2009 15:45:52 -0500

Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Rick McBride (rmcbride) wrote :

Meant to indicate that my earlier test results meant "success"

David Planella (dpm) on 2010-02-11
Changed in ubuntu-translations:
status: Triaged → Fix Released
David Planella (dpm) wrote :

Hi Rick,

The bug has been fixed, but just for the record, this was about the template not being generated by the .deb package on build, not about the source tarball creating a template. Here's how a package can be tested for compliance with Launchpad Translations (i.e. whether it creates a template or not):

https://wiki.ubuntu.com/UbuntuDevelopment/Internationalisation/RecipeVerifyingTranslationUploads

Thanks for looking into this!

dobey (dobey) on 2010-02-18
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers